<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/user', function (Request $request) {
    return $request->user();
})->middleware('auth:api');

Route::post('test','Controller@test');
Route::post('sign_up','Controller@PersonSignup');
Route::post('sign_in','Controller@PersonSignin');
Route::post('EditProfile','Controller@EditProfile');
Route::post('UpdateImage','Controller@UpdateImage');
Route::post('ResetPassword','Controller@ResetPassword');
Route::post('viewPersonalInfo','Controller@viewPersonalInfo');
Route::post('create_team','Controller@create_team');
Route::post('CreateSchedule','Controller@CreateSchedule');
Route::post('GetTeamSchedule','Controller@GetTeamSchedule');
Route::post('RequestToJoinTeam','Controller@RequestToJoinTeam');
Route::post('GetTeams','Controller@GetTeams');
Route::get('GetALLTeams','Controller@GetALLTeams');
Route::post('ApproveTeamRequest','Controller@ApproveTeamRequest');

Route::post('Add_achievement','Controller@Add_achievement');
Route::post('Update_achievement','Controller@Update_achievement');
Route::post('view_achievement','Controller@view_achievement');
Route::post('DeleteAchievement','Controller@DeleteAchievement');

